Bug 15761 - На KoolDock отображается каждая панель отдельным приложением
: На KoolDock отображается каждая панель отдельным приложением
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/qmmp)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-05-22 22:49 by
Modified: 2009-05-10 09:33 (History)


Attachments
Вот такой трайной qmmp получился ) (393.56 KB, image/png)
2008-05-22 23:14, maximus
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-05-22 22:49:52
Система ALD40.3 + Brunch4.0
Пользую панель KoolDock (kooldock-0.3-alt2), версия qmmp
(qmmp-0.2-alt0.svn380.M40.1), но косяк замечен и на ранних версиях.
Так вот на KoolDock каждая панель плеера отображается отдельным приложением.
Запустил плеер, открыл эквалайзер и плейлист и будет у тебя там как будто 3
плеера. На стандартной панели задач такого не наблюдается.
С xmms, beep и audacious такого не наблюдается.
------- Comment #1 From 2008-05-22 23:14:18 -------
Created an attachment (id=2641) [details]
Вот такой трайной qmmp получился )
------- Comment #2 From 2008-05-23 13:56:54 -------
(In reply to comment #0)
> Система ALD40.3 + Brunch4.0
> Пользую панель KoolDock (kooldock-0.3-alt2), версия qmmp
> (qmmp-0.2-alt0.svn380.M40.1), но косяк замечен и на ранних версиях.
> Так вот на KoolDock каждая панель плеера отображается отдельным приложением.
> Запустил плеер, открыл эквалайзер и плейлист и будет у тебя там как будто 3
> плеера. На стандартной панели задач такого не наблюдается.
> С xmms, beep и audacious такого не наблюдается.

Привожу ответ автора Qmmp:
==========================================================================
Как выяснилось, kooldock ведёт себя также со всеми окнами qt4. Например, диалог 
"о программе" в дизайнере также показывается как отдельное приложение. Как 
вариант, предлагаю отписать автору, что бы проверил это дело на qt4. В качестве 
временного решения могу посоветовать добавить эквалайзер и плейлист в игнор 
лист. Не знаю как 0.3, но 0.4.7 имеет такую возможность. Версия 0.4.7 лежит тут 
http://www.kde-apps.org/content/show.php?content=50910

Илья.
==========================================================================
Поскольку kooldock в сизифе умер, оставшись только в 4-м бранче, то либо кому-
то подбирать его и пробовать это дело с новой версией, либо сделать как 
советует разработчик проигрывателя.
------- Comment #3 From 2008-05-23 13:59:59 -------
В таком случае больше подходит resolution WONTFIX, ибо баг вполне валидный.
------- Comment #4 From 2008-05-23 14:11:30 -------
(In reply to comment #3)
> В таком случае больше подходит resolution WONTFIX, ибо баг вполне валидный.
> 

Фиксить нужно не qmmp, а kooldock, который у нас умер. Иначе я бы просто 
перевесил багу туда.

P.S. Я тут вечером гляну новую версию, но обещать ничего не буду.